//============================================================================
// FILE: C_PerformerSpecification.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête des spécifications d'opération (dans une activité)
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
// REFERENCE : "Fondements ontologiques des systèmes pilotés"
//             R. Martin-Clouaire, J.-P. Rellier (INRA/UBIA, Toulouse)
//=X===============X=============================X============================

#ifndef _C_PERFORMERSPECIFICATION_HH
#define _C_PERFORMERSPECIFICATION_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "Entity.h"

#include "C_CoreTypes.h"
#include "C_SingleResource.h"

// EXTERNAL REFERENCES

/**@name Spécification des opérateurs
\begin{itemize} \item Directive d'inclusion : {\tt \#include C\_PerformerSpecification.h} \end{itemize}
*/ 
//@{
        ///
class PerformerSpecification : public Entity
{
 public:

          // Constructeur de base.
   PerformerSpecification();

           //
   void       Develop(SingleInstructionSet*);
           // 
  pEntityTab* MakeDisjunctionByANYONE(pEntityTab*, int);

           // 
  pEntityTab* MakeDisjunctionByMAX(pEntityTab*);
  
           // 
  pEntityTab* MakeDisjunctionByALL(pEntityTab*);

           // 
  pEntityTab* MakeDisjunctionByDISJ(pEntityTab*);
  
           // 
  pEntityTab* MakeDisjunctionBySETS(pEntityTab*, int);

           // Renvoie TRUE si la spécification requiert une liste développée non vide, c'est-à-dire si la fonction est de type ANY ou SETS avec un effectif non nul.
   Boolean    ImpliesNonVoidDeveloppedList();



 private:
 };


//@}  // fin PerformerSpecification

//@}    // ouverture dans OperatedObjectSpecification

#endif  // _C_PERFORMERSPECIFICATION_HH
