#!/bin/csh

if(("$1" == '') || ("$2" == '')) then
echo ""
echo "usage   : makeRelease_APPLI_src.csh <repertoire> <appli>"
echo ""
echo "exemple : makeRelease_APPLI_src.csh" 
echo "                                cdiese "
echo "                                Moderato_v4"
echo ""
echo "        --> $DIESE_KBS/releases/src/LinuxCygwin/Moderato_v4_srcD3.25"
echo "            si DIESE_MAJOR = 3 DIESE_MINOR = 25"
echo ""
echo "exemple : makeRelease_APPLI_src.csh" 
echo "                                cdiese/MODERATO "
echo "                                Moderato_v4"
echo ""
echo "        --> $DIESE_KBS/releases/src/LinuxCygwin/Moderato_v4_srcD3.25"
echo "            si DIESE_MAJOR = 3 DIESE_MINOR = 25"
echo ""
exit
endif

setenv ici $PWD
setenv RELEASE "$DIESE_KBS"/releases
setenv APPLI_DIR "$DIESE_KBS"/KBS/$1 
setenv RELEASE_NAME $2_srcD$DIESE_MAJOR.$DIESE_MINOR

echo "assemblage $RELEASE_NAME (LinuxCygwin) en cours ..."
cd $RELEASE/src/LinuxCygwin
echo "    suppression $RELEASE_NAME"
rm -f $RELEASE_NAME.tar.gz
mkdir -p $RELEASE_NAME
cd $RELEASE_NAME
#==================== appli =====================

#--------------------- Cls -----------------------
echo "    copie specification des classes (Cls )"
/bin/cp -r -f $APPLI_DIR/$2/Cls .
#--------------------- Fct -----------------------
echo "    copie realisations des classes (Fct)"
/bin/cp -r -f $APPLI_DIR/$2/Fct .
#--------------------- Liv -----------------------
echo "    copie fichiers de livraison (Liv)"
/bin/cp -r -f $APPLI_DIR/$2/Liv .
#--------------------- Var -----------------------
echo "    copie declaration variables (Var)"
/bin/cp -r -f $APPLI_DIR/$2/Var .
#--------------------- in ------------------------
if (-e $APPLI_DIR/$2/in) then
  echo "    copie fichiers de donnes (in)"
  /bin/cp -r -f $APPLI_DIR/$2/in .
endif
#--------------------- out -----------------------
if (-e $APPLI_DIR/$2/out) then
  echo "    copie fichiers de donnes (out)"
  /bin/cp -r -f $APPLI_DIR/$2/out .
endif
#------------------ doc/html ---------------------
if (-e $APPLI_DIR/$2/doc) then
  echo "    copie doc"
  /bin/cp -f -r $APPLI_DIR/$2/doc .
  /bin/rm -f doc/READ_ME_tmp*
endif
#------------------ read_me ---------------------
echo "    copie READ_ME_APPLI_src a partir de $ici"
/bin/cp -f $ici/../READ_ME_APPLI_src READ_ME
emacs READ_ME
rm -f READ_ME~

#=================== install.sh ====================
echo "    copie install_APPLI_src.sh"
/bin/cp -f $ici/../install_APPLI_src.sh .
emacs install_APPLI_src.sh
rm -f install_APPLI_src.sh~
/bin/cp -f $ici/../install_APPLI_src.csh .
emacs install_APPLI_src.csh
rm -f install_APPLI_src.csh~

#==== archive globale dans releases/src<os> ====
echo "compression $RELEASE_NAME (LinuxCygwin) en cours ..."
cd ..
tar cf $RELEASE_NAME.tar $RELEASE_NAME
gzip $RELEASE_NAME.tar
rm -f -r $RELEASE_NAME
rm -f $RELEASE_NAME.tar

cd $ici
echo "version $OSNAME OK dans $RELEASE/src/LinuxCygwin/$RELEASE_NAME"
